Bug 87353 - Start Center "Help" button not functioning any more
Summary: Start Center "Help" button not functioning any more
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-12-16 08:49 UTC by Kevin Suo
Modified: 2015-12-17 08:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-12-16 08:49:26 UTC
Steps to reproduce:
1. Launch start center;
2. Click on the "Help" button, on the bottom-left side.

It does nothing.

Version: 4.4.0.0.beta2
Build ID: be92f32b8f21603a6b7a75dd645f7475bdee519d
Locale: zh_CN
Win 7 X86

"steve-_-" says he confirms the bug behaviour on osx 10.10.1 latest 4.5 nightly

The link works in version: 4.3.5.1
Build ID: 8fd0451cc08e6a5310bed8b7ad1c46b93c1c6889
(It goes to:
https://help.libreoffice.org/swriter/sfx/ui/startcenter/open_all?Language=zh-CN&System=WIN&Version=4.3
this is an page with no wiki content.)
Comment 1 retired 2014-12-16 08:50:58 UTC
Same here. OSX 10.10.1, latest 4.5 nightly.
Comment 2 Michael Weghorn 2015-01-10 18:00:47 UTC
I've bibisected this.
(The skipped version did not start up correctly and had the following output:
"terminate called after throwing an instance of 'com::sun::star::uno::DeploymentException'")


bibisect result:

There are only 'skip'ped commits left to test.
The first bad commit could be any of:
95bb80320b4a35f2c962b8c85b302c9aae75cbcb
e27c1bb1024cb75ecc0b210874077ca542cac75c
We cannot bisect more!


--
bisect log:

# bad: [4a3091e95fa263d3e2dd81e56e83996f0bb12287] source-hash-2b5b04e1e62914bf0902dfd7943cdc44499c47a6
# good: [812c4a492375ac47b3557fbb32f5637fc89d60d9] source-hash-dea4a3b9d7182700abeb4dc756a24a9e8dea8474
git bisect start 'latest' 'oldest'
# good: [5d0dfb8e62ae61a240f8313c594d4560e7c8e048] source-hash-0c6cd530de13f80795881f61064f1bf1dcc4ea81
git bisect good 5d0dfb8e62ae61a240f8313c594d4560e7c8e048
# bad: [7dfacd0b8bd828331d74c0f79de6e8924bc4e6a5] source-hash-f93ce4f7eb90093d0ea3115d0a1c614612676dbd
git bisect bad 7dfacd0b8bd828331d74c0f79de6e8924bc4e6a5
# bad: [1a63057f6378db7c6b8af1171b7b140f7583f246] source-hash-59f84b4a2c082382767f12e0c7a06a3f0b52e721
git bisect bad 1a63057f6378db7c6b8af1171b7b140f7583f246
# good: [3787e4f82e47eaf4fa454afdca671272e50f875b] source-hash-0e09134a4a4cbb0639fc586c560c6fb2765487be
git bisect good 3787e4f82e47eaf4fa454afdca671272e50f875b
# good: [13c63ebe51bd9151757981f75b62271c00a47bf1] source-hash-5ccb510ef7dd6688b86038b37563583f64107936
git bisect good 13c63ebe51bd9151757981f75b62271c00a47bf1
# bad: [2e44b89901b3478fac6251ab4fa87311bb8c256f] source-hash-91ebd8825bf0ac6bf3daaba54cefc1a11a64451d
git bisect bad 2e44b89901b3478fac6251ab4fa87311bb8c256f
# skip: [95bb80320b4a35f2c962b8c85b302c9aae75cbcb] source-hash-44fb7631cc03bbab655391593d248ba3875f308b
git bisect skip 95bb80320b4a35f2c962b8c85b302c9aae75cbcb
# bad: [e27c1bb1024cb75ecc0b210874077ca542cac75c] source-hash-0aa3dee5e88a1494a7a6a8401e084cbdb4324727
git bisect bad e27c1bb1024cb75ecc0b210874077ca542cac75c
# good: [a3c33e9d602a07674b5271d9bd22c4915e43498d] source-hash-f46e392050a949c2d573b768eeb70d94fff550c2
git bisect good a3c33e9d602a07674b5271d9bd22c4915e43498d
# only skipped commits left to test
# possible first bad commit: [e27c1bb1024cb75ecc0b210874077ca542cac75c] source-hash-0aa3dee5e88a1494a7a6a8401e084cbdb4324727
# possible first bad commit: [95bb80320b4a35f2c962b8c85b302c9aae75cbcb] source-hash-44fb7631cc03bbab655391593d248ba3875f308b
Comment 3 Michael Weghorn 2015-01-10 20:59:08 UTC
The behaviour changed in the following commit range:

http://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=f46e392050a949c2d573b768eeb70d94fff550c2..44fb7631cc03bbab655391593d248ba3875f308b

@Adolfo: Do you have any idea whether it might be related to the following commit of yours?
http://cgit.freedesktop.org/libreoffice/core/commit/?id=148202e89da4349c638c1bc63c9dc4253762fdf8
Comment 4 Matthew Francis 2015-01-14 06:50:59 UTC
Confirmed by building that it was the below commit which broke the Help button.

This is probably related to the method
  Button* extractStockAndBuildPushButton(Window *pParent, VclBuilder::stringmap &rMap)
in vcl/source/window/builder.cxx - the label "gtk-help" is magical


commit 148202e89da4349c638c1bc63c9dc4253762fdf8
Author: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
Date:   Sun Jul 6 16:09:21 2014 -0500

    Resolves fdo#80477: duplicate key for Help button in Start Center
    
    Change-Id: If46baf8613c6202e84a985ad7e2ce658e1d42193
    Reviewed-on: https://gerrit.libreoffice.org/10102
    Reviewed-by: Caolán McNamara <caolanm@redhat.com>
    Tested-by: Caolán McNamara <caolanm@redhat.com>
Comment 5 Caolán McNamara 2015-01-14 09:53:28 UTC
yeah, if its not a gtk-help its not a help button, just a button that says "Help"
Comment 6 Commit Notification 2015-01-14 09:57:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2efbca82d70451b0e8582bb699f33d709152e24

Resolves: fdo#87353 Start Center 'Help' button not functioning any more

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-01-15 12:50:13 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=887613047e0a20818a33a6cdce2c0803afce64a4&h=libreoffice-4-4

Resolves: fdo#87353 Start Center 'Help' button not functioning any more

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2015-12-17 08:41:43 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]